#include <bits/stdc++.h>
using namespace std;
struct tacka{float x,y;};
tacka poz[1505];
map <float,map<float,int>>duzi;
struct duzslog{float k,duzina;};
duzslog duz[1125000];
float n,br,k,duzina,rezultat;
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>poz[i].x>>poz[i].y;
}
for(int i=1;i<=n;i++){
    for(int j=i+1;j<=n;j++){
        br++;
        if(poz[i].x==poz[j].x)k=2e9;
        else k=(poz[i].y-poz[j].y)/(poz[i].x-poz[j].x);
        duzina=sqrt((poz[i].y-poz[j].y)*(poz[i].y-poz[j].y)+(poz[i].x-poz[j].x)*(poz[i].x-poz[j].x));
        duzi[k][duzina]++;
    }
}
for(auto it=duzi.begin();it!=duzi.end();++it){
    //cout<<"k="<<it->first<<endl;
    for(auto it2=it->second.begin();it2!=it->second.end();++it2){
       // if(it2->second>0)cout<<"       L="<<it2->first<<"   kolicina="<<it2->second<<endl;
        rezultat+=it2->second* it->second[it2->first+it2->first];
    }
}

cout<<rezultat<<endl;
return 0;
}